---
title: llarp::win32::DeferExec
summary: a wrapper for OneShotExec that calls the thing we want on destruction 

---

# llarp::win32::DeferExec



a wrapper for [OneShotExec](Classes/classllarp_1_1win32_1_1OneShotExec.md) that calls the thing we want on destruction 


`#include <exec.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[DeferExec](Classes/classllarp_1_1win32_1_1DeferExec.md#function-deferexec)**(std::string exe, std::string args, std::chrono::milliseconds timeout =5s) |
| | **[~DeferExec](Classes/classllarp_1_1win32_1_1DeferExec.md#function-~deferexec)**() |

## Public Functions Documentation

### function DeferExec

```cpp
inline explicit DeferExec(
    std::string exe,
    std::string args,
    std::chrono::milliseconds timeout =5s
)
```


### function ~DeferExec

```cpp
~DeferExec()
```


-------------------------------

Updated on 2022-11-04 at 14:36:38 +0000